Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.aspects.controller
Class PageCustomizerInterceptor

    java.lang.Object
      org.jboss.portal.server.impl.invocation.JBossInterceptor
          org.jboss.portal.core.controller.ControllerInterceptor
              org.jboss.portal.core.aspects.controller.PageCustomizerInterceptor

All Implemented Interfaces:
  org.jboss.portal.common.invocation.Interceptor

    public class PageCustomizerInterceptor

extends ControllerInterceptor

Version:
  $Revision: 11064 $
Author:
  Julien Viet, Thomas Heute

Constructor Summary
`PageCustomizerInterceptor()`

Method Summary
`ServerConfig` | `getConfig()`
`java.lang.String` | `getHeaderPath()`
`java.lang.String` | `getLoginNamespace()`
`PortalAuthorizationManagerFactory` | `getPortalAuthorizationManagerFactory()`
`PortalObjectContainer` | `getPortalObjectContainer()`
`java.lang.String` | `getTabsPath()`
`java.lang.String` | `getTargetContextPath()`
`java.lang.String` | `injectDashboardNav(ControllerCommand cc)`
`java.lang.String` | `injectTabbedNav(PageCommand rpc)`
`ControllerResponse` | `invoke(ControllerCommand cmd)`
`void` | `setConfig(ServerConfig config)`
`void` | `setHeaderPath(java.lang.String headerPath)`
`void` | `setLoginNamespace(java.lang.String loginNamespace)`
`void` | `setPortalAuthorizationManagerFactory(PortalAuthorizationManagerFactory portalAuthorizationManagerFactory)`
`void` | `setPortalObjectContainer(PortalObjectContainer portalObjectContainer)`
`void` | `setTabsPath(java.lang.String tabsPath)`
`void` | `setTargetContextPath(java.lang.String context)`

Methods inherited from class org.jboss.portal.core.controller.ControllerInterceptor
`invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageCustomizerInterceptor

    public PageCustomizerInterceptor()

Method Detail

### getPortalAuthorizationManagerFactory

    public PortalAuthorizationManagerFactory getPortalAuthorizationManagerFactory()

### setPortalAuthorizationManagerFactory

    public void setPortalAuthorizationManagerFactory(PortalAuthorizationManagerFactory portalAuthorizationManagerFactory)

### getPortalObjectContainer

    public PortalObjectContainer getPortalObjectContainer()

### setPortalObjectContainer

    public void setPortalObjectContainer(PortalObjectContainer portalObjectContainer)

### invoke

    public ControllerResponse invoke(ControllerCommand cmd)
                              throws java.lang.Exception

  Specified by:
    `invoke` in class `ControllerInterceptor`
  Throws:
    `java.lang.Exception`

### injectDashboardNav

    public java.lang.String injectDashboardNav(ControllerCommand cc)

### injectTabbedNav

    public java.lang.String injectTabbedNav(PageCommand rpc)

### getHeaderPath

    public java.lang.String getHeaderPath()

### setHeaderPath

    public void setHeaderPath(java.lang.String headerPath)

### getTargetContextPath

    public java.lang.String getTargetContextPath()

### setTargetContextPath

    public void setTargetContextPath(java.lang.String context)

### getTabsPath

    public java.lang.String getTabsPath()

### setTabsPath

    public void setTabsPath(java.lang.String tabsPath)

### getLoginNamespace

    public java.lang.String getLoginNamespace()

### setLoginNamespace

    public void setLoginNamespace(java.lang.String loginNamespace)

### getConfig

    public ServerConfig getConfig()

### setConfig

    public void setConfig(ServerConfig config)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD